> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View

You can retrieve detailed verification results by calling `/verifications/{verificationId}/view` endpoint.

## Verification ID

First you must obtain a signer's current `verificationId` by calling `/packages/{packageId}` or `/packages/{packageId}/status` endpoints.

<Info>
  You can find the `verificationId` under each signer.
</Info>

```json theme={null}
{
    ...
    "signers": [
        {
            "signerId": "7c9b63d1-e3c0-49b0-b13a-e9a24a402fc8",
            ...
            "verification": {
                "verificationId": "f050356f-e671-4436-801b-57b9ed40cc8b",
                ...
            }
        }
    ],
    ...
}
```

See the [Verification signer API](/v4/api/verifications/signer) for more information on retrieving current signer verification results by package and signer ID.

<Tip>
  If the signer has not yet started their identity verification, the `verificationId` will be an empty UUID value of `"00000000-0000-0000-0000-000000000000"` and the verification state will be set to `not_started`.
</Tip>

## Request

```http Request theme={null}
GET /verifications/{verificationId}/view
```

### Parameters

<ParamField path="verificationId" type="string" required>
  The unique identifier of the verification you want to retrieve detailed results for.
</ParamField>

## Response

<ResponseField name="verificationId" type="string">
  Unique identifier for the verification.
</ResponseField>

<ResponseField name="organizationId" type="string">
  Unique identifier for the organization.
</ResponseField>

<ResponseField name="packageId" type="string">
  Unique identifier for the package.
</ResponseField>

<ResponseField name="packageName" type="string">
  Package name.
</ResponseField>

<ResponseField name="packageType" type="string">
  Package type.

  <Expandable title="values">
    | Value                | Description                                                                                     |
    | :------------------- | :---------------------------------------------------------------------------------------------- |
    | concurrent           | **Concurrent**: Allows multiple signers to sign the document simultaneously.                    |
    | Sequential           | **Sequential**: Requires signers to sign the document in a specific order.                      |
    | Counterpart          | **Group Send**: Enables group signing, where all signers receive the document at the same time. |
    | video\_closing\_room | **Video Signing Room**: A virtual room for signing documents via video conference.              |
    | Live Session         | **In Person**: An in-person signing session with all parties present.                           |

    <Note>
      Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
    </Note>

    <Tip>
      The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
    </Tip>
  </Expandable>
</ResponseField>

<ResponseField name="signerId" type="string">
  Unique identifier for the signer.
</ResponseField>

<ResponseField name="firstName" type="string">
  Signer's first name.
</ResponseField>

<ResponseField name="lastName" type="string">
  Signer's last name.
</ResponseField>

<ResponseField name="email" type="string">
  Signer's email address.
</ResponseField>

<ResponseField name="timeCreated" type="date">
  Time verification record was created.
</ResponseField>

<ResponseField name="timeUpdated" type="date">
  Time verification record was last updated.
</ResponseField>

<ResponseField name="countryCode" type="string">
  Two-character ISO-3166-1 country code.
</ResponseField>

<ResponseField name="attempts" type="number">
  Current number of failed attempts.
</ResponseField>

<ResponseField name="errors" type="number">
  Current number of errors.
</ResponseField>

<ResponseField name="continue" type="boolean">
  Set to `true` if the signer is allowed to continue with signing documents after failing identity verification.
</ResponseField>

<ResponseField name="error" type="string" post={["nullable"]}>
  Error code if verification is in a failed state (if any).
</ResponseField>

<ResponseField name="state" type="string">
  The current state of the signer's identity verification process.

  <Expandable title="values">
    | State                | Description                                                                                     |
    | -------------------- | ----------------------------------------------------------------------------------------------- |
    | not\_started         | Signer has not started identity verification.                                                   |
    | start                | Signer is on start step.                                                                        |
    | consent              | Signer is on consent step.                                                                      |
    | consent\_processing  | Server is processing consent.                                                                   |
    | identity             | Signer is on identity verification step.                                                        |
    | identity\_processing | Server is processing identity verification.                                                     |
    | kba                  | Signer is on KBA verification step.                                                             |
    | kba\_processing      | Server is processing KBA verification.                                                          |
    | document             | Signer is on document verification step.                                                        |
    | document\_processing | Server is processing document verification.                                                     |
    | end                  | Server is finalizing identity verification result.                                              |
    | passed               | Identity verification has passed.                                                               |
    | failed               | Identity verification has failed and can be retried by signer.                                  |
    | failed\_reset        | Identity verification has failed and must be reset by package owner for signer to retry.        |
    | failed\_locked       | Identity verification has failed and is now locked and can no longer be reset by package owner. |
    | error                | A server error has occurred and can be retried by signer.                                       |
    | error\_reset         | A server error has occurred and must be reset by package owner for signer to retry.             |
    | error\_locked        | A server error has occurred and can no longer be reset by package owner.                        |
    | cancelled            | Identity verification has been cancelled.                                                       |
    | cancelled\_reset     | Identity verification has been cancelled due to package owner resetting signer's verification.  |
    | invalid              | Identity verification is in an invalid state and cannot be processed.                           |
  </Expandable>
</ResponseField>

<ResponseField name="results" type="object[]">
  Results of the verification record.

  <Expandable title="properties">
    <ResponseField name="verificationResultId" type="string">
      Unique identifier for the verification result.
    </ResponseField>

    <ResponseField name="verificationId" type="string">
      Unique identifier for the verification.
    </ResponseField>

    <ResponseField name="timeCreated" type="date">
      Time verification result record was created.
    </ResponseField>

    <ResponseField name="passed" type="boolean">
      Set to `true` if the verification result has passed.
    </ResponseField>

    <ResponseField name="noRetry" type="boolean">
      Set to `true` if the verification result has failed and the signer can no longer retry.
    </ResponseField>

    <ResponseField name="expired" type="boolean">
      Set to `true` if the verification result has expired and can no longer be completed by signer.
    </ResponseField>

    <ResponseField name="scores" type="Map<string, integer>">
      Dictionary of verification results and their pass/fail score.

      <Note>
        Score mapping: -1 = missing, 0 = failed/no match, 50 = partial match, 100 = passed.
      </Note>

      <Expandable title="keys">
        | Value                                    | Description                        | Version |
        | ---------------------------------------- | ---------------------------------- | ------- |
        | credit\_fraud                            | Fraud Check                        |         |
        | credit\_six\_month\_residency            | Six Month Residency Check          |         |
        | credit\_three\_year                      | Three Year Credit Check            |         |
        | document                                 | Identification                     |         |
        | document\_confidence                     | Document Confidence                | 3.5     |
        | document\_live\_photo\_liveness          | Live Selfie Liveness Detection     |         |
        | document\_live\_photo\_match             | Live Selfie Matches Document Photo | 3.5     |
        | identity                                 | Identity                           |         |
        | kba                                      | Knowledge Based Answers            |         |
        | security\_check\_country                 | Country Match                      |         |
        | security\_check\_data                    | Data Crosscheck Analysis           |         |
        | security\_check\_document\_type          | Document Type Match                |         |
        | security\_check\_features                | Security Feature Analysis          |         |
        | security\_check\_live\_photo             | Live Selfie Match                  |         |
        | security\_check\_session                 | Session Analysis                   | 3.5     |
        | security\_check\_tampering               | Tampering Analysis                 |         |
        | security\_valid\_data                    | Data Format Analysis               |         |
        | security\_valid\_document                | Data Analysis                      |         |
        | security\_valid\_document\_type          | Document Type Analysis             |         |
        | security\_valid\_machine\_readable\_data | Machine Readable Data Analysis     |         |
        | security\_valid\_ocr                     | OCR Analysis                       | 3.5     |
        | security\_valid\_photos                  | Photo Analysis                     | 3.5     |

        {/* | document_manual | Document was manually verified | 3.x | */}
      </Expandable>
    </ResponseField>

    <ResponseField name="scoresDescription" type="Map<string, string>">
      Dictionary of messages associated with each score in `scores`.
    </ResponseField>

    <ResponseField name="fieldScores" type="Map<string, integer>">
      Dictionary of verification input fields and their pass/fail score.
    </ResponseField>

    <ResponseField name="fields" type="Map<string, object>">
      Dictionary of verification input fields and their values used to generate the results.

      <Expandable title="keys">
        | Key                        | Label             |
        | -------------------------- | ----------------- |
        | address                    | Address           |
        | city                       | City              |
        | credit\_details\_trulioo   | Credit            |
        | dob\_day                   | DOB Day           |
        | dob\_month                 | DOB Month         |
        | dob\_year                  | DOB Year          |
        | document\_address          | Address           |
        | document\_address\_2       | Address 2         |
        | document\_city             | City              |
        | document\_class            | Class             |
        | document\_country\_code    | Country           |
        | document\_dob\_day         | Birth Day         |
        | document\_dob\_month       | Birth Month       |
        | document\_dob\_year        | Birth Year        |
        | document\_doe\_day         | Expiry Day        |
        | document\_doe\_month       | Expiry Month      |
        | document\_doe\_year        | Expiry Year       |
        | document\_doi\_day         | Issue Day         |
        | document\_doi\_month       | Issue Month       |
        | document\_doi\_year        | Issue Year        |
        | document\_first\_name      | First Name        |
        | document\_full\_name       | Full Name         |
        | document\_gender           | Gender            |
        | document\_issuer           | Issuer            |
        | document\_last\_name       | Last Name         |
        | document\_middle\_name     | Middle Name       |
        | document\_nationality      | Nationality       |
        | document\_number           | Document Number   |
        | document\_number\_2        | Document Number 2 |
        | document\_place\_of\_birth | Place of Birth    |
        | document\_postal\_code     | Postal Code       |
        | document\_subdivision      | Province          |
        | document\_type             | Document Type     |
        | email                      | Email             |
        | first\_name                | First Name        |
        | full\_name                 | Full Name         |
        | last\_name                 | Last Name         |
        | last\_name\_other          | Last Name (Other) |
        | middle\_name               | Middle Name       |
        | mobile\_number             | Mobile Number     |
        | postal\_code               | Postal Code       |
        | prefix                     | Prefix            |
        | street\_name               | Street Name       |
        | street\_number             | Street Number     |
        | street\_type               | Street Type       |
        | subdivision                | Province          |
        | unit\_number               | Unit Number       |
      </Expandable>
    </ResponseField>

    <ResponseField name="data" type="Map<string, object>">
      Dictionary of any additional fields and their values generated while processing the results.
    </ResponseField>

    <ResponseField name="error" type="string">
      May contain an error code if verification result is in a failed state.
    </ResponseField>

    <ResponseField name="type" type="string">
      The type of verification result.

      <Expandable title="values">
        | Value    | Description                           |
        | -------- | ------------------------------------- |
        | identity | Identity verification.                |
        | kba      | Knowledge based answers verification. |
        | document | Document verification.                |
      </Expandable>
    </ResponseField>

    <ResponseField name="state" type="string">
      The state of the verification result.

      <Expandable title="values">
        | State      | Description                                                                                                                       |
        | ---------- | --------------------------------------------------------------------------------------------------------------------------------- |
        | processing | Verification result is currently being processed.                                                                                 |
        | collected  | Verification input fields have been successfully collected. The input fields will be validated by a subsequent verification step. |
        | passed     | Verification result has been processed and has passed.                                                                            |
        | failed     | Verification result has been processed and has failed.                                                                            |
        | error      | An **error** occurred while processing the verification. Check the error field for reason.                                        |
      </Expandable>
    </ResponseField>

    <ResponseField name="documents" type="object[]">
      Documents associated with the verification result.

      <Expandable title="properties">
        <ResponseField name="verificationDocumentId" type="string">
          Unique identifier for the verification document.
        </ResponseField>

        <ResponseField name="verificationId" type="string">
          Unique identifier for the verification.
        </ResponseField>

        <ResponseField name="timeCreated" type="date">
          Time verification document record was created.
        </ResponseField>

        <ResponseField name="documentType" type="string">
          Verification document type.

          <Expandable title="values">
            | Key              | Description                                          |
            | ---------------- | ---------------------------------------------------- |
            | drivers\_license | Driver's License                                     |
            | health\_card     | Health Card                                          |
            | identity\_card   | Identity Card                                        |
            | military\_id     | Military ID                                          |
            | other            | Other (Returned when document type detection failed) |
            | passport         | Passport                                             |
            | resident\_card   | Resident Card                                        |
            | travel\_document | Travel Document                                      |
            | visa             | Visa                                                 |
            | voter\_id        | Voter ID                                             |
          </Expandable>
        </ResponseField>

        <ResponseField name="imageType" type="string">
          Verification document image type.

          <Expandable title="values">
            | Key         | Description                                                                    |
            | ----------- | ------------------------------------------------------------------------------ |
            | live\_photo | Selfie of signer captured during live selfie process of document verification. |
            | front       | Front image of document captured during document verification.                 |
            | back        | Back image of document captured during document verification.                  |
            | passport    | Image of passport captured during document verification.                       |
          </Expandable>
        </ResponseField>

        <ResponseField name="url" type="string">
          URL to download document or document image from.

          <Tip>
            Document URLs returned by the verification endpoint have a lifetime of 15 minutes.
          </Tip>

          <Note>
            As of `3.6` images now default to `WEBP` format. You can convert images to `JPEG` by appending the following query string parameter to end of the returned URL:

            `&mimeType=image/jpeg`
          </Note>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

### Examples

```json Response (200) expandable theme={null}
{
    "verificationId": "6297e62f-d49d-4f2e-8369-e24ce4316e73",
    "organizationId": "24261ee6-5f66-4692-ba49-533c9b58999b",
    "packageId": "08aba360-4466-4463-8b4b-9585d3de4b33",
    "signerId": "dff8f8cc-fe2d-428e-9a8c-bcf1a2b187ce",
    "firstName": "Signer",
    "lastName": "One",
    "email": "signer.one@syngrafii.com",
    "timeCreated": "2023-01-18T20:09:11.632Z",
    "timeUpdated": "2023-01-18T20:14:05.387Z",
    "countryCode": "CA",
    "error": null,
    "state": "passed",
    "results": [
        {
            "verificationResultId": "faa1a005-40a8-43e1-98c8-23d6c7a54278",
            "timeCreated": "2023-01-18T20:13:26.111Z",
            "passed": true,
            "noRetry": null,
            "expired": null,
            "scores": {
                "document": 100,
                "security_check_features": 100,
                "security_check_tampering": 100,
                "security_check_live_photo": 100,
                "document_live_photo_liveness": 100,
                "security_check_country": 100,
                "security_check_document_type": 100,
                "security_valid_document_type": 100,
                "security_valid_document": 100,
                "security_valid_data": 100,
                "security_check_data": 100,
                "security_valid_machine_readable_data": 100
            },
            "fieldResultId": null,
            "fieldScores": {
                "last_name": 100,
                "first_name": 100
            },
            "fields": {
                "first_name": "Signer",
                "last_name": "One"
            },
            "data": {
                "document_number": "XXXXX-XXXXX-XXXXX",
                "document_number_2": "GGXXXXXXX",
                "document_country_code": "CAN",
                "document_issuer": "Ontario",
                "document_class": "G",
                "document_doi_day": "01",
                "document_doi_month": "12",
                "document_doi_year": "2020",
                "document_doe_day": "01",
                "document_doe_month": "12",
                "document_doe_year": "2025",
                "document_full_name": "SIGNER ONE",
                "document_first_name": "SIGNER",
                "document_middle_name": "",
                "document_last_name": "ONE",
                "document_gender": "M",
                "document_dob_day": "01",
                "document_dob_month": "12",
                "document_dob_year": "1970",
                "document_address": "1234 XXXXXXX RD",
                "document_city": "XXXXXX",
                "document_subdivision": "ON",
                "document_postal_code": "L1X 1X1"
            },
            "error": null,
            "type": "document",
            "state": "passed",
            "documents": [
                {
                    "verificationDocumentId": "adae7fce-30a9-4986-9e11-3c9fa67cb2e6",
                    "timeCreated": "2023-01-18T20:12:30.3Z",
                    "documentType": "drivers_license",
                    "imageType": "front",
                    "url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/adae7fce-30a9-4986-9e11-3c9fa67cb2e6"
                },
                {
                    "verificationDocumentId": "1f1efa6a-c4fd-467f-a8b0-705751944e36",
                    "timeCreated": "2023-01-18T20:12:46.111Z",
                    "documentType": "drivers_license",
                    "imageType": "back",
                    "url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/1f1efa6a-c4fd-467f-a8b0-705751944e36"
                },
                {
                    "verificationDocumentId": "88a15267-7516-4f26-9de3-7964e5a7935d",
                    "timeCreated": "2023-01-18T20:13:24.289Z",
                    "documentType": "drivers_license",
                    "imageType": "live_photo",
                    "url": "https://sandbox.syngrafii.com/blob/v1/verifications/documents/88a15267-7516-4f26-9de3-7964e5a7935d"
                }
            ]
        }
    ]
}
```
